#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_custom_target( cmakelibcpp.tar.gz ALL
  COMMAND ${TAR} --transform \"flags=r\;s/cmakelibcpp-CMakeLists.txt/CMakeLists.txt/\"
              -zcf cmakelibcpp.tar.gz -C ${CMAKE_CURRENT_SOURCE_DIR}
              test.cpp lib.h lib.cpp cmakelibcpp.png
              cmakelibcpp-CMakeLists.txt CMakeLists.txt.src
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/cmakelibcpp.tar.gz cmakelibcpp.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


install( FILES
    cmakelibcpp.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates )

